library(sfsGrading)
## Confirm that "round-to-even" is no problem
## 5.125 should be rounded to 5.25
## but with "round-to-even" it would be incorrectly rounded to 5
## round(5.125*4)/4

## All grades with potential round-to-even problems (check with round(grades)):
grades1 <- (0.5+seq(4,22,by=2))/4
correctGrades1 <- c(1.25, 1.75, 2.25, 2.75, 3.25, 3.75, 4.25, 4.75, 5.25, 5.75)
if(!all(sfsGrading::gradeRound(grades1) == correctGrades1)) {
  stop("gradeRound-Test: Problem with round-to-even")
}

## some arbitrary checks:
grades2 <- c(0.9, 2, 3.76, 4.2, 4.7, 5, 5.5, 5.74, 6.1)
correctGrades2 <- c(1, 2, 3.75, 4.25, 4.75, 5, 5.5, 5.75, 6)
if(!all(sfsGrading::gradeRound(grades2) == correctGrades2)) {
  stop("gradeRound-Test: Problem with rounding")
}
